Bug 133271 - FILESAVE: Vertical text saves as horizontal to ODT (but OK to DOCX)
Summary: FILESAVE: Vertical text saves as horizontal to ODT (but OK to DOCX)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:7.1.0 target:7.0.0.1 target:6.4.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-05-22 10:58 UTC by Mike Kaganski
Modified: 2020-06-09 11:34 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
A sample DOCX with a text box with vertical text (17.62 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-05-22 10:58 UTC, Mike Kaganski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2020-05-22 10:58:58 UTC
Created attachment 161131 [details]
A sample DOCX with a text box with vertical text

The text "abc" in text box in the attached file imports correctly as vertical (bottom-to-top), and it stays vertical after saving to DOCX and reloading; but it becomes horizontal after saving to ODT and reloading.

Version: 6.4.4.2 (x64)
Build ID: 3d775be2011f3886db32dfd395a6a6d1ca2630ff
CPU threads: 12; OS: Windows 10.0 Build 18363; UI render: GL; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: CL
Comment 1 Xisco Faulí 2020-05-22 12:25:35 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=9c945cdbe170104cbacafa2c37babec5210b9ca2

author	Miklos Vajna <vmiklos@collabora.com>	2019-06-06 21:32:07 +0200
committer	Miklos Vajna <vmiklos@collabora.com>	2019-06-07 09:05:08 +0200
commit	9c945cdbe170104cbacafa2c37babec5210b9ca2 (patch)
tree	dffb692486be6b53549a6a3c45dfd33b9c91da55
parent	8d16f406e62854df093a7c44c82dff19b0dda130 (diff)
sw btlr writing mode: DOCX drawingML import for fly frames

Bisected with: bibisect-linux64-6.4

Adding Cc: to Miklos Vajna
Comment 2 Commit Notification 2020-06-02 12:15:35 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/413791a65597a1808d9b98e4887864f3624b70cc

tdf#133271 sw textbox: handle TextRotateAngle shape property

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-06-03 07:06:39 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/e05a39f75cd304bfc1bd59aa2eebe4889cae109f

tdf#133271 sw textbox: handle TextRotateAngle shape property

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-06-05 09:31:43 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/69d99ea0a10cb54e67d20f155c81346064f26631

tdf#133271 sw textbox: handle TextRotateAngle shape property

It will be available in 6.4.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2020-06-09 11:34:55 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 8bbd8324282e7890de29ede5912d24c6e1c7ce7f
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Miklos, thanks for fixing this issue!!